<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/client/notifications/notificationruntimedata.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/da2/notificationruntimedata_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">notificationruntimedata.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/da2/notificationruntimedata_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a87895fe18688d17fbc88515ccb6f6c02"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> { <br />
&#160;&#160;<a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02af85b8f3416b2236ea00dcb7c2c1f5df6">TOAST</a> = 1
, <a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a9aee4467f46d6f57db879225e4672536">BAGUETTE</a> = 2
, <a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a995d34bcabbc4f6dd5347f17464c4a2f">ACTIVITY</a> = 4
, <a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02addf118ed7fbb19b9aaa6e3189e16cf28">KILLFEED</a> = 8
, <br />
&#160;&#160;<a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a9e0221c89ef1ee595163e8cb2f316420">MARKET</a> = 16
<br />
 }</td></tr>
<tr class="separator:a87895fe18688d17fbc88515ccb6f6c02"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa52f1c04b89be3ac40919c7b296ef0c2"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#aa52f1c04b89be3ac40919c7b296ef0c2">GetIcon</a> ()</td></tr>
<tr class="separator:aa52f1c04b89be3ac40919c7b296ef0c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a221704fcc463a5eeaeeee6f38302e71a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a221704fcc463a5eeaeeee6f38302e71a">SetType</a> (<a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> type)</td></tr>
<tr class="separator:a221704fcc463a5eeaeeee6f38302e71a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf2f1d0d1afc0eaf2994523ab122712c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a> ()</td></tr>
<tr class="separator:abf2f1d0d1afc0eaf2994523ab122712c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d769a8c3c64df8eaafb29fd2aa7723"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a50d769a8c3c64df8eaafb29fd2aa7723">SetObject</a> (Object obj)</td></tr>
<tr class="separator:a50d769a8c3c64df8eaafb29fd2aa7723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa4160de65ac77debe2902527ebfc4f2"><td class="memItemLeft" align="right" valign="top">Object&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#aaa4160de65ac77debe2902527ebfc4f2">GetObject</a> ()</td></tr>
<tr class="separator:aaa4160de65ac77debe2902527ebfc4f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a462f1b2b6a46de514f2ec378e5d2a1ff"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a462f1b2b6a46de514f2ec378e5d2a1ff">m_Type</a></td></tr>
<tr class="separator:a462f1b2b6a46de514f2ec378e5d2a1ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e8611572e6ae0823d4aeb0d0a2e0d69"><td class="memItemLeft" align="right" valign="top">Object&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a3e8611572e6ae0823d4aeb0d0a2e0d69">m_Object</a></td></tr>
<tr class="separator:a3e8611572e6ae0823d4aeb0d0a2e0d69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58019ce4a31264c5ca54e96cedf518b6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a58019ce4a31264c5ca54e96cedf518b6">m_LeaveJoinNotif</a> = false</td></tr>
<tr class="separator:a58019ce4a31264c5ca54e96cedf518b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a87895fe18688d17fbc88515ccb6f6c02" name="a87895fe18688d17fbc88515ccb6f6c02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87895fe18688d17fbc88515ccb6f6c02">&#9670;&#160;</a></span>ExpansionNotificationType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p ><a class="el" href="../../d5/da2/notificationruntimedata_8c.html">NotificationRuntimeData.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a87895fe18688d17fbc88515ccb6f6c02af85b8f3416b2236ea00dcb7c2c1f5df6" name="a87895fe18688d17fbc88515ccb6f6c02af85b8f3416b2236ea00dcb7c2c1f5df6"></a>TOAST&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a87895fe18688d17fbc88515ccb6f6c02a9aee4467f46d6f57db879225e4672536" name="a87895fe18688d17fbc88515ccb6f6c02a9aee4467f46d6f57db879225e4672536"></a>BAGUETTE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a87895fe18688d17fbc88515ccb6f6c02a995d34bcabbc4f6dd5347f17464c4a2f" name="a87895fe18688d17fbc88515ccb6f6c02a995d34bcabbc4f6dd5347f17464c4a2f"></a>ACTIVITY&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a87895fe18688d17fbc88515ccb6f6c02addf118ed7fbb19b9aaa6e3189e16cf28" name="a87895fe18688d17fbc88515ccb6f6c02addf118ed7fbb19b9aaa6e3189e16cf28"></a>KILLFEED&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a87895fe18688d17fbc88515ccb6f6c02a9e0221c89ef1ee595163e8cb2f316420" name="a87895fe18688d17fbc88515ccb6f6c02a9e0221c89ef1ee595163e8cb2f316420"></a>MARKET&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html#l00013">13</a> of file <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html">notificationruntimedata.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="aa52f1c04b89be3ac40919c7b296ef0c2" name="aa52f1c04b89be3ac40919c7b296ef0c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa52f1c04b89be3ac40919c7b296ef0c2">&#9670;&#160;</a></span>GetIcon()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override string GetIcon </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html#l00028">28</a> of file <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html">notificationruntimedata.c</a>.</p>

</div>
</div>
<a id="aaa4160de65ac77debe2902527ebfc4f2" name="aaa4160de65ac77debe2902527ebfc4f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa4160de65ac77debe2902527ebfc4f2">&#9670;&#160;</a></span>GetObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Object GetObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html#l00055">55</a> of file <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html">notificationruntimedata.c</a>.</p>

</div>
</div>
<a id="abf2f1d0d1afc0eaf2994523ab122712c" name="abf2f1d0d1afc0eaf2994523ab122712c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf2f1d0d1afc0eaf2994523ab122712c">&#9670;&#160;</a></span>GetType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> GetType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html#l00045">45</a> of file <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html">notificationruntimedata.c</a>.</p>

</div>
</div>
<a id="a50d769a8c3c64df8eaafb29fd2aa7723" name="a50d769a8c3c64df8eaafb29fd2aa7723"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50d769a8c3c64df8eaafb29fd2aa7723">&#9670;&#160;</a></span>SetObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetObject </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html#l00050">50</a> of file <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html">notificationruntimedata.c</a>.</p>

</div>
</div>
<a id="a221704fcc463a5eeaeeee6f38302e71a" name="a221704fcc463a5eeaeeee6f38302e71a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a221704fcc463a5eeaeeee6f38302e71a">&#9670;&#160;</a></span>SetType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html#l00040">40</a> of file <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html">notificationruntimedata.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a58019ce4a31264c5ca54e96cedf518b6" name="a58019ce4a31264c5ca54e96cedf518b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58019ce4a31264c5ca54e96cedf518b6">&#9670;&#160;</a></span>m_LeaveJoinNotif</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool m_LeaveJoinNotif = false</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html#l00026">26</a> of file <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html">notificationruntimedata.c</a>.</p>

</div>
</div>
<a id="a3e8611572e6ae0823d4aeb0d0a2e0d69" name="a3e8611572e6ae0823d4aeb0d0a2e0d69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e8611572e6ae0823d4aeb0d0a2e0d69">&#9670;&#160;</a></span>m_Object</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Object m_Object</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html#l00025">25</a> of file <a class="el" href="../../d5/da2/notificationruntimedata_8c_source.html">notificationruntimedata.c</a>.</p>

</div>
</div>
<a id="a462f1b2b6a46de514f2ec378e5d2a1ff" name="a462f1b2b6a46de514f2ec378e5d2a1ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a462f1b2b6a46de514f2ec378e5d2a1ff">&#9670;&#160;</a></span>m_Type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> m_Type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_892fe0fdb9e2892c5c2944a2fe22e5a6.html">client</a></li><li class="navelem"><a class="el" href="../../dir_c324ff7cd3c658602acbf17b9471d219.html">notifications</a></li><li class="navelem"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html">notificationruntimedata.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
